#ifndef KSLD_CLIENT_PROTOCOL_H
#define KSLD_CLIENT_PROTOCOL_H

#ifdef  __cplusplus
extern "C" {
#endif

#include <stdint.h>
#include <stddef.h>
#include "wayland-client.h"

struct wl_client;
struct wl_resource;

struct org_kde_ksld;

extern const struct wl_interface org_kde_ksld_interface;

struct org_kde_ksld_listener {
	/**
	 * osdProgress - (none)
	 * @icon: (none)
	 * @percent: (none)
	 * @text: (none)
	 * @since: 2
	 */
	void (*osdProgress)(void *data,
			    struct org_kde_ksld *org_kde_ksld,
			    const char *icon,
			    int32_t percent,
			    const char *text);
	/**
	 * osdText - (none)
	 * @icon: (none)
	 * @text: (none)
	 * @since: 2
	 */
	void (*osdText)(void *data,
			struct org_kde_ksld *org_kde_ksld,
			const char *icon,
			const char *text);
};

static inline int
org_kde_ksld_add_listener(struct org_kde_ksld *org_kde_ksld,
			  const struct org_kde_ksld_listener *listener, void *data)
{
	return wl_proxy_add_listener((struct wl_proxy *) org_kde_ksld,
				     (void (**)(void)) listener, data);
}

#define ORG_KDE_KSLD_X11WINDOW	0

static inline void
org_kde_ksld_set_user_data(struct org_kde_ksld *org_kde_ksld, void *user_data)
{
	wl_proxy_set_user_data((struct wl_proxy *) org_kde_ksld, user_data);
}

static inline void *
org_kde_ksld_get_user_data(struct org_kde_ksld *org_kde_ksld)
{
	return wl_proxy_get_user_data((struct wl_proxy *) org_kde_ksld);
}

static inline void
org_kde_ksld_destroy(struct org_kde_ksld *org_kde_ksld)
{
	wl_proxy_destroy((struct wl_proxy *) org_kde_ksld);
}

static inline void
org_kde_ksld_x11window(struct org_kde_ksld *org_kde_ksld, uint32_t id)
{
	wl_proxy_marshal((struct wl_proxy *) org_kde_ksld,
			 ORG_KDE_KSLD_X11WINDOW, id);
}

#ifdef  __cplusplus
}
#endif

#endif
