#ifndef KSLD_SERVER_PROTOCOL_H
#define KSLD_SERVER_PROTOCOL_H

#ifdef  __cplusplus
extern "C" {
#endif

#include <stdint.h>
#include <stddef.h>
#include "wayland-server.h"

struct wl_client;
struct wl_resource;

struct org_kde_ksld;

extern const struct wl_interface org_kde_ksld_interface;

struct org_kde_ksld_interface {
	/**
	 * x11window - (none)
	 * @id: (none)
	 */
	void (*x11window)(struct wl_client *client,
			  struct wl_resource *resource,
			  uint32_t id);
};

#define ORG_KDE_KSLD_OSDPROGRESS	0
#define ORG_KDE_KSLD_OSDTEXT	1

#define ORG_KDE_KSLD_OSDPROGRESS_SINCE_VERSION	2
#define ORG_KDE_KSLD_OSDTEXT_SINCE_VERSION	2

static inline void
org_kde_ksld_send_osdProgress(struct wl_resource *resource_, const char *icon, int32_t percent, const char *text)
{
	wl_resource_post_event(resource_, ORG_KDE_KSLD_OSDPROGRESS, icon, percent, text);
}

static inline void
org_kde_ksld_send_osdText(struct wl_resource *resource_, const char *icon, const char *text)
{
	wl_resource_post_event(resource_, ORG_KDE_KSLD_OSDTEXT, icon, text);
}

#ifdef  __cplusplus
}
#endif

#endif
